Package com.collibra.dgc.core.api.dto.instance.issue

# Class RelatedAssetReference

Object
RelatedAssetReference

All Implemented Interfaces:
  `Serializable`

public class RelatedAssetReference extends Object implements Serializable
The properties of the asset related to created issue

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `RelatedAssetReference.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelatedAssetReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RelatedAssetReference.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The ID of the asset which the issue is related to.
  `Boolean`
  `getDirection()`
  The direction of the relation where true means the issue is the source and false means the issue is the target.
  `UUID`
  `getRelationTypeId()`
  The ID of relation type for related asset.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The ID of the asset which the issue is related to.
  `void`
  `setDirection(Boolean direction)`
  The direction of the relation where true means the issue is the source and false means the issue is the target.
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  The ID of relation type for related asset.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelatedAssetReference

    public RelatedAssetReference()

- ## Method Details

  - ### builder

    public static RelatedAssetReference.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    The ID of the asset which the issue is related to.

  - ### getRelationTypeId

    public UUID getRelationTypeId()
    The ID of relation type for related asset.

  - ### getDirection

    public Boolean getDirection()
    The direction of the relation where true means the issue is the source and false means the issue is the target.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The ID of the asset which the issue is related to.

  - ### setRelationTypeId

    public void setRelationTypeId(UUID relationTypeId)
    The ID of relation type for related asset.

  - ### setDirection

    public void setDirection(Boolean direction)
    The direction of the relation where true means the issue is the source and false means the issue is the target.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`